Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047164
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2021-06-16 21:082021-08-24 14:10
ReportershuehnerView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR21Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047164: mobile.core: Lodash library is outdated and should be updated to the latest release.

DescriptionWe currently use lodash 4.17.15 in mobile.core while latest version is 4.17.21

https://github.com/lodash/lodash/wiki/Changelog [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0047090 newplatform Openbravo ERP Tracking issue: Library update 

-  Notes
(0131215)
hgbot (developer)
2021-08-19 14:21

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.certification.france.testing/-/merge_requests/6 [^]
(0131216)
hgbot (developer)
2021-08-19 14:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/271 [^]
(0131217)
hgbot (developer)
2021-08-19 14:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.complementary/-/merge_requests/10 [^]
(0131218)
hgbot (developer)
2021-08-19 14:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/82 [^]
(0131219)
hgbot (developer)
2021-08-19 14:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs/-/merge_requests/19 [^]
(0131220)
hgbot (developer)
2021-08-19 14:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/548 [^]
(0131221)
hgbot (developer)
2021-08-19 14:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sessions/-/merge_requests/23 [^]
(0131222)
hgbot (developer)
2021-08-19 14:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.stockvalidation/-/merge_requests/8 [^]
(0131297)
hgbot (developer)
2021-08-24 13:40

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.certification.france.testing [^]
Changeset: 23042aacdffa3d0994b167c805768dd887cc2cd8
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-07-27T10:31:46+05:30
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.certification.france.testing/-/commit/23042aacdffa3d0994b167c805768dd887cc2cd8 [^]

Related to ISSUE-47164: Updated lodash library to version 4.17.21

---
M web-test/model/business-object/html/SetupHtml.js
---
(0131298)
hgbot (developer)
2021-08-24 13:40

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.certification.france.testing/-/merge_requests/6 [^]
(0131299)
hgbot (developer)
2021-08-24 13:40

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/271 [^]
(0131300)
hgbot (developer)
2021-08-24 13:40

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 9654482f1afd78e597453a11ea402b282b7ef437
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-08-24T11:40:21+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/9654482f1afd78e597453a11ea402b282b7ef437 [^]

Fixed ISSUE-47164: Updated lodash library to version 4.17.21

---
A web/org.openbravo.mobile.core/lib/vendor/lodash-4.17.21.js
A web/org.openbravo.mobile.core/lib/vendor/lodash-4.17.21.min.js
M legal/Licensing.txt
M src/org/openbravo/mobile/core/LibraryResource.java
M web-test/integration/remote-server/BackendServer.test.js
M web-test/model/application-state/State.test.js
M web-test/model/application-state/StateAPI.test.js
M web-test/model/application-state/StatePersistence.functional.test.js
M web-test/model/application-state/StatePersistence.test.js
M web-test/model/application-state/StateUndo.functional.test.js
M web-test/model/application-state/compat/StateBackwardCompatibility-basic.test.js
M web-test/model/application-state/compat/backward-compat-integration-base.js
M web-test/model/business-object/global/SaveOrgVariables.test.js
M web-test/model/business-object/messages/Messages.test.js
M web-test/model/business-object/remote-server/RemoteServer-StateAction-SetLastSuccessfulRequest.test.js
M web-test/model/business-object/remote-server/RemoteServer-StateAction-SetNextTimeToGoOnline.test.js
M web-test/model/business-object/remote-server/RemoteServer-StateAction-SetStatus.test.js
M web-test/model/business-object/remote-server/RemoteServer.test.js
M web-test/model/business-object/terminal-log/SetupTerminalLog.js
M web-test/model/business-object/terminal-log/TerminalLog.test.js
M web-test/model/login/OfflineSession.test.js
M web-test/model/login/OfflineUser.test.js
M web-test/util/ArrayUtils.test.js
R web/org.openbravo.mobile.core/lib/vendor/lodash-4.17.15.min.js
---
(0131301)
hgbot (developer)
2021-08-24 13:40

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.complementary [^]
Changeset: 62b7c37e177563c27d4940828ad6050b8495b5ed
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-07-27T10:35:03+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.complementary/-/commit/62b7c37e177563c27d4940828ad6050b8495b5ed [^]

Related to ISSUE-47164: Updated lodash library to version 4.17.21

---
M web-test/model/business-object/ticket/actions/DeleteLineActionPreparations.test.js
M web-test/model/business-object/ticket/actions/DeleteLinePostHook.test.js
---
(0131302)
hgbot (developer)
2021-08-24 13:40

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.complementary/-/merge_requests/10 [^]
(0131303)
hgbot (developer)
2021-08-24 13:40

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards [^]
Changeset: 695391e53930a7d9af6ae569a21a6a27ddf48fef
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-08-17T14:39:44+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/695391e53930a7d9af6ae569a21a6a27ddf48fef [^]

Related to ISSUE-47164: Updated lodash library to version 4.17.21

---
M web-test/model/business-object/cashup/SetupCashup.js
M web-test/model/business-object/ticket/actions/AddProductActionPreparations.test.js
M web-test/model/business-object/ticket/actions/DeleteLineActionPreparations.test.js
---
(0131304)
hgbot (developer)
2021-08-24 13:40

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/82 [^]
(0131305)
hgbot (developer)
2021-08-24 13:41

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs [^]
Changeset: c040b389aab44b254b6da520a977da5c10d174f9
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-08-24T11:40:44+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs/-/commit/c040b389aab44b254b6da520a977da5c10d174f9 [^]

Related to ISSUE-47164: Updated lodash library to version 4.17.21

---
M web-test/model/business-object/business-partner/SynchronizeLoyaltyBusinessPartner.test.js
M web-test/model/business-object/loyalty/SynchronizeLoyaltyCard.test.js
M web-test/model/business-object/loyalty/SynchronizeLoyaltyEarnedPoints.test.js
M web-test/model/business-object/loyalty/SynchronizeLoyaltySubscription.test.js
---
(0131306)
hgbot (developer)
2021-08-24 13:41

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 28df97552fd0497785dd177a7c56edaffd620b17
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-08-24T11:41:03+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/28df97552fd0497785dd177a7c56edaffd620b17 [^]

Related to ISSUE-47164: Updated lodash library to version 4.17.21

---
M web-test/external-device/ExternalDeviceController.test.js
M web-test/external-device/actions/InitHardwareManager.test.js
M web-test/external-device/actions/PrintLine.test.js
M web-test/external-device/actions/PrintTicket.test.js
M web-test/external-device/actions/PrintWelcome.test.js
M web-test/external-device/printing/PrintTemplate.test.js
M web-test/external-device/printing/PrintTemplateGeneration.test.js
M web-test/external-device/printing/PrintTemplateStore.test.js
M web-test/external-device/printing/PrintUtils.test.js
M web-test/model/business-object/business-partner/actions/SynchronizeBusinessPartner.test.js
M web-test/model/business-object/business-partner/actions/SynchronizeBusinessPartnerLocation.test.js
M web-test/model/business-object/cashup/Cashup.test.js
M web-test/model/business-object/cashup/SetupCashup.js
M web-test/model/business-object/document-sequence/SetupDocumentSequence.js
M web-test/model/business-object/document-sequence/SetupDocumentSequenceAndTicket.js
M web-test/model/business-object/global/SetupGlobal.js
M web-test/model/business-object/safebox/SynchronizeCountSafeBox.test.js
M web-test/model/business-object/ticket-list/TicketListUtils.test.js
M web-test/model/business-object/ticket-list/actions/BringTicketToSession.test.js
M web-test/model/business-object/ticket/AddApprovalsModelHook.test.js
M web-test/model/business-object/ticket/CalculateTotalsModelHook.test.js
M web-test/model/business-object/ticket/SetupTicket.js
M web-test/model/business-object/ticket/actions/AddByTotalPromotion.test.js
M web-test/model/business-object/ticket/actions/AddProduct-actionPreparation.test.js
M web-test/model/business-object/ticket/actions/DeleteLine-actionPreparation.test.js
M web-test/model/business-object/ticket/actions/DeleteLine.test.js
M web-test/model/business-object/ticket/actions/DisplayTotal.test.js
M web-test/model/business-object/ticket/actions/ReversePayment-actionPreparation.test.js
M web-test/model/business-object/ticket/actions/SetLinePrice-actionPreparation.test.js
M web-test/model/business-object/ticket/actions/SetLinePrice.test.js
M web-test/model/business-object/ticket/actions/SplitLine-actionPreparation.test.js
M web-test/model/business-object/ticket/actions/SplitLine.test.js
---
(0131307)
hgbot (developer)
2021-08-24 13:41

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/548 [^]
(0131308)
hgbot (developer)
2021-08-24 13:41

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sessions [^]
Changeset: f8643485ad03132d9aa2971b812d249ddb68f964
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-07-27T10:44:55+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sessions/-/commit/f8643485ad03132d9aa2971b812d249ddb68f964 [^]

Related to ISSUE-47164: Updated lodash library to version 4.17.21

---
M web-test/model/business-object/cashup/SetupCashup.js
---
(0131309)
hgbot (developer)
2021-08-24 13:41

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sessions/-/merge_requests/23 [^]
(0131310)
hgbot (developer)
2021-08-24 13:41

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.stockvalidation/-/merge_requests/8 [^]
(0131311)
hgbot (developer)
2021-08-24 13:41

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.stockvalidation [^]
Changeset: bb230ebed0f97152811f4e13cf4c28d186ae0171
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-07-27T10:45:20+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.stockvalidation/-/commit/bb230ebed0f97152811f4e13cf4c28d186ae0171 [^]

Related to ISSUE-47164: Updated lodash library to version 4.17.21

---
M web-test/model/business-object/ticket/actions/AddProductActionPreparations.test.js
---
(0131324)
hgbot (developer)
2021-08-24 14:10

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 1cee8533aade6b15c4297ee42a9ad4863c63449a
Author: Antonio Moreno <anmorenoperez@gmail.com>
Date: 2021-08-24T14:09:58+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/1cee8533aade6b15c4297ee42a9ad4863c63449a [^]

Related to ISSUE-47164: fixed lodash version for AddPaymentWithDiscount.test.js

---
M web-test/model/business-object/ticket/actions/AddPaymentWithDiscount.test.js
---

- Issue History
Date Modified Username Field Change
2021-06-16 21:08 shuehner New Issue
2021-06-16 21:08 shuehner Assigned To => Retail
2021-06-16 21:08 shuehner Triggers an Emergency Pack => No
2021-06-16 21:08 shuehner Relationship added blocks 0047090
2021-06-16 21:09 shuehner Issue cloned 0047165
2021-06-29 13:26 shuehner Resolution time => 1627509600
2021-07-26 14:58 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-08-10 08:47 ranjith_qualiantech_com Assigned To ranjith_qualiantech_com => Retail
2021-08-16 08:15 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-08-19 14:13 ranjith_qualiantech_com Status new => scheduled
2021-08-19 14:21 hgbot Note Added: 0131215
2021-08-19 14:21 hgbot Note Added: 0131216
2021-08-19 14:21 hgbot Note Added: 0131217
2021-08-19 14:21 hgbot Note Added: 0131218
2021-08-19 14:21 hgbot Note Added: 0131219
2021-08-19 14:21 hgbot Note Added: 0131220
2021-08-19 14:21 hgbot Note Added: 0131221
2021-08-19 14:21 hgbot Note Added: 0131222
2021-08-24 13:40 hgbot Note Added: 0131297
2021-08-24 13:40 hgbot Note Added: 0131298
2021-08-24 13:40 hgbot Resolution open => fixed
2021-08-24 13:40 hgbot Status scheduled => closed
2021-08-24 13:40 hgbot Note Added: 0131299
2021-08-24 13:40 hgbot Fixed in Version => RR21Q4
2021-08-24 13:40 hgbot Note Added: 0131300
2021-08-24 13:40 hgbot Note Added: 0131301
2021-08-24 13:40 hgbot Note Added: 0131302
2021-08-24 13:40 hgbot Note Added: 0131303
2021-08-24 13:40 hgbot Note Added: 0131304
2021-08-24 13:41 hgbot Note Added: 0131305
2021-08-24 13:41 hgbot Note Added: 0131306
2021-08-24 13:41 hgbot Note Added: 0131307
2021-08-24 13:41 hgbot Note Added: 0131308
2021-08-24 13:41 hgbot Note Added: 0131309
2021-08-24 13:41 hgbot Note Added: 0131310
2021-08-24 13:41 hgbot Note Added: 0131311
2021-08-24 14:10 hgbot Note Added: 0131324


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker